claw::log_stream_uniq Class Reference

A log stream that does not output successively the same message. More...

`#include <log_stream_uniq.hpp>`

Inheritance diagram for claw::log_stream_uniq:

## Public Member Functions

| log_stream_uniq (log_stream *s)
| Constructor.
virtual | ~log_stream_uniq ()
| Destructor.
virtual void | write (const std::string &str)
| Write a string in the stream.
virtual void | flush ()
| Flush the stream.
Public Member Functions inherited from claw::log_stream
virtual | ~log_stream ()
| Destructor.
Public Member Functions inherited from claw::pattern::non_copyable
| non_copyable ()
| Default constructor.

## Detailed Description

A log stream that does not output successively the same message.

Author
  Julien Jorge

Definition at line 58 of file log_stream_uniq.hpp.

## Constructor & Destructor Documentation

## log_stream_uniq()

claw::log_stream_uniq::log_stream_uniq | ( | log_stream * | s | ) |

explicit

Constructor.

Parameters

  s | The stream in which the messages are finally written. It will be deleted in the destructor.

Definition at line 42 of file log_stream_uniq.cpp.

## ~log_stream_uniq()

claw::log_stream_uniq::~log_stream_uniq | ( |  | ) |

virtual

Destructor.

Definition at line 52 of file log_stream_uniq.cpp.

## Member Function Documentation

## flush()

void claw::log_stream_uniq::flush | ( |  | ) |

virtual

Flush the stream.

Reimplemented from claw::log_stream.

Definition at line 84 of file log_stream_uniq.cpp.

## write()

void claw::log_stream_uniq::write | ( | const std::string & | str | ) |

virtual

Write a string in the stream.

Parameters

  str | The sring to write.

Implements claw::log_stream.

Definition at line 62 of file log_stream_uniq.cpp.

References write().

Referenced by write().

The documentation for this class was generated from the following files:

- log_stream_uniq.hpp
- code/log_stream_uniq.cpp